org.red5.server.messaging

## Interface IPipe

All Superinterfaces:
  IMessageInput, IMessageOutput

All Known Subinterfaces:
  IBroadcastScope

All Known Implementing Classes:
  AbstractPipe, BroadcastScope, InMemoryPullPullPipe, InMemoryPushPushPipe

    public interface IPipe
    extends IMessageInput, IMessageOutput

A pipe is an object that connects message providers and message consumers. Its main function is to transport messages in kind of ways it provides. Pipes fire events as they go, these events are common way to work with pipes for higher level parts of server.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Method Summary

Methods
`void` `addPipeConnectionListener(IPipeConnectionListener listener)` Add connection event listener to pipe
`void` `removePipeConnectionListener(IPipeConnectionListener listener)` Add connection event listener to pipe

### Methods inherited from interface org.red5.server.messaging.IMessageInput

`getConsumers, pullMessage, pullMessage, sendOOBControlMessage, subscribe, unsubscribe`

### Methods inherited from interface org.red5.server.messaging.IMessageOutput

`getProviders, pushMessage, sendOOBControlMessage, subscribe, unsubscribe`

### Method Detail

#### addPipeConnectionListener

    void addPipeConnectionListener(IPipeConnectionListener listener)

Add connection event listener to pipe

Parameters:
  `listener` - Connection event listener

#### removePipeConnectionListener

    void removePipeConnectionListener(IPipeConnectionListener listener)

Add connection event listener to pipe

Parameters:
  `listener` - Connection event listener